import { h, Host } from '@stencil/core';
export class SnkCustomSlotElements {
  constructor() {
    this.slotName = 'CUSTOM_SLOT_ELEMENTS';
  }
  componentDidLoad() {
    this.snkCustomSlotElementsLoaded.emit(this.slotName);
  }
  render() {
    return (h(Host, { slot: this.slotName, id: this.slotName, class: "custom-slot-elements-container" }, h("slot", null)));
  }
  static get is() { return "snk-custom-slot-elements"; }
  static get encapsulation() { return "scoped"; }
  static get originalStyleUrls() {
    return {
      "$": ["snk-custom-slot-elements.css"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["snk-custom-slot-elements.css"]
    };
  }
  static get properties() {
    return {
      "slotName": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": "Nome do slot onde os elementos customizados dever\u00E3o aparecer."
        },
        "attribute": "slot-name",
        "reflect": false,
        "defaultValue": "'CUSTOM_SLOT_ELEMENTS'"
      }
    };
  }
  static get events() {
    return [{
        "method": "snkCustomSlotElementsLoaded",
        "name": "snkCustomSlotElementsLoaded",
        "bubbles": true,
        "cancelable": true,
        "composed": true,
        "docs": {
          "tags": [],
          "text": "Emitido quando elemento \u00E9 carregado na tela."
        },
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        }
      }];
  }
}
